class GazePoint {

  constructor(screenX, screenY, createdAt, id) {
    this.screenX = screenX;
    this.screenY = screenY;
    this.createdAt = Date.now();
    this.id = id || this.createdAt;
  }

  linkTo(node) {
    let bb = node.getBoundingClientRect(),
      elementLeft = window.pageXOffset + bb.left,
      elementTop = window.pageYOffset + bb.top,
      elementRight = window.pageXOffset + bb.right,
      elementBottom = window.pageYOffset + bb.bottom,
      coordinates;
      if (this.screenX >= elementLeft && this.screenX <= elementRight && this
        .screenY >=
        elementTop && this.screenY <= elementBottom) {
        this.hasLink = true;
        this.link = node;
        this.targetX = this.screenX - elementLeft;
        this.targetY = this.screenY - elementTop;
      }
    return coordinates;
  }

}

export default GazePoint;